Updates the forms-based authentication configuration for the current tenant.
curl --request PUT \
--url https://{install}/api/config/forms-auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"active": true,
"passwordChangeInterval": 123,
"passwordMinimumLength": 123,
"passwordMaximumLength": 123,
"passwordRequireNumber": true,
"passwordRequireUppercaseLetter": true,
"passwordRequireLowercaseLetter": true,
"passwordRequireSymbol": true,
"twoFactorAuth": true,
"twoFactorAuthCodeSize": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'import requests
url = "https://{install}/api/config/forms-auth"
payload = {
"entity": "<string>",
"active": True,
"passwordChangeInterval": 123,
"passwordMinimumLength": 123,
"passwordMaximumLength": 123,
"passwordRequireNumber": True,
"passwordRequireUppercaseLetter": True,
"passwordRequireLowercaseLetter": True,
"passwordRequireSymbol": True,
"twoFactorAuth": True,
"twoFactorAuthCodeSize": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
active: true,
passwordChangeInterval: 123,
passwordMinimumLength: 123,
passwordMaximumLength: 123,
passwordRequireNumber: true,
passwordRequireUppercaseLetter: true,
passwordRequireLowercaseLetter: true,
passwordRequireSymbol: true,
twoFactorAuth: true,
twoFactorAuthCodeSize: 123,
tenantId: '<string>',
id: '<string>',
created: '2023-11-07T05:31:56Z',
createdBy: '<string>',
updated: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
deleted: true
})
};
fetch('https://{install}/api/config/forms-auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/config/forms-auth");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"entity\": \"<string>\",\n \"active\": true,\n \"passwordChangeInterval\": 123,\n \"passwordMinimumLength\": 123,\n \"passwordMaximumLength\": 123,\n \"passwordRequireNumber\": true,\n \"passwordRequireUppercaseLetter\": true,\n \"passwordRequireLowercaseLetter\": true,\n \"passwordRequireSymbol\": true,\n \"twoFactorAuth\": true,\n \"twoFactorAuthCodeSize\": 123,\n \"tenantId\": \"<string>\",\n \"id\": \"<string>\",\n \"created\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": \"<string>\",\n \"updated\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"deleted\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"entity": "<string>",
"active": true,
"passwordChangeInterval": 123,
"passwordMinimumLength": 123,
"passwordMaximumLength": 123,
"passwordRequireNumber": true,
"passwordRequireUppercaseLetter": true,
"passwordRequireLowercaseLetter": true,
"passwordRequireSymbol": true,
"twoFactorAuth": true,
"twoFactorAuthCodeSize": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}Auth
Updates the forms-based authentication configuration for the current tenant.
PUT
/
api
/
config
/
forms-auth
Updates the forms-based authentication configuration for the current tenant.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The updated forms auth configuration.
Response
Configuration updated successfully.
Retrieves the forms-based authentication configuration for the current tenant.
Previous
Returns billable item data for the specified reporting period.
Next
⌘I